### Method

# Pango Attribute init

since: 1.20

#### Declaration [src]

    void
    pango_attribute_init (
      PangoAttribute* attr,
      const PangoAttrClass* klass
    )

#### Description [src]

Initializes `attr`‘s klass to `klass`, it’s start_index to `PANGO_ATTR_INDEX_FROM_TEXT_BEGINNING` and end_index to `PANGO_ATTR_INDEX_TO_TEXT_END` such that the attribute applies to the entire text by default.

Available since: 1.20

#### Parameters

`klass`

  Type: `PangoAttrClass`

  A `PangoAttrClass`

  The data is owned by the caller of the method.